Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Aug 2020 10:59:56 +0300

> Cc: [email-masked], Ulrich Mueller <[email-masked]>,
>  Teika Kazura <[email-masked]>
> From: Paul Eggert <[email-masked]>
> Date: Fri, 21 Aug 2020 14:28:36 -0700
> 
> I spent quite a bit of time looking into this and came up with the attached 
> proposed patch which should make the use cases work again without opening 
> security holes. This patch fixes some other bugs that I noticed while I was in 
> the area.

This patch will almost certainly break w32, so please don't install
without a heads-up and some time left to adapt.